Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1384909 (CVE-2016-8669) - CVE-2016-8669 Qemu: char: divide by zero error in serial_update_parameters
Summary: CVE-2016-8669 Qemu: char: divide by zero error in serial_update_parameters
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-8669
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1384910 1384911 1476049 1476068 1476069 1476072 1476074 1476077
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-14 11:01 UTC by Prasad Pandit
Modified: 2021-02-17 03:11 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:00:13 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 0 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 0 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad Pandit 2016-10-14 11:01:30 UTC
Quick Emulator(Qemu) built with the 16550A UART emulation support is vulnerable
to a divide by zero issue. It could occur while updating serial device
parameters in 'serial_update_parameters'.

A privileged guest user could use this flaw to crash the Qemu process instance
on the host, resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg02461.html

Comment 1 Prasad Pandit 2016-10-14 11:02:06 UTC
Acknowledgments:

Name: PSIRT  (Huawei Inc.)

Comment 2 Prasad Pandit 2016-10-14 11:03:22 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1384910]

Comment 3 Prasad Pandit 2016-10-14 11:03:46 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1384911]

Comment 4 Andrej Nemec 2016-10-17 07:48:50 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/137

Comment 5 Cole Robinson 2017-01-16 18:22:34 UTC
commit 3592fe0c919cf27a81d8e9f9b4f269553418bb01
Author: Prasad J Pandit <pjp>
Date:   Wed Oct 12 11:28:08 2016 +0530

    char: serial: check divider value against baud base

Comment 6 errata-xmlrpc 2017-08-02 00:57:25 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 7 errata-xmlrpc 2017-08-02 04:46:14 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.